petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatRestrict

y = A*x or A'*x

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatRestrict(Mat A,Vec x,Vec y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x,y | - the vectors

### Notes

This allows one to use either the restriction or interpolation (its transpose) matrix to do the restriction

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatInterpolate()

### Level

intermediate

### Location

src/mat/interface/matrix.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages